ProcState (Sigar API)
Date: 2009-07-09

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.sigar
Class ProcState

    java.lang.Object
      org.hyperic.sigar.ProcState

All Implemented Interfaces:
  java.io.Serializable

    public class ProcState

extends java.lang.Object
implements java.io.Serializable

ProcState sigar class.

See Also:
  Serialized Form

Field Summary
`static char` | `IDLE`
`static char` | `RUN`
`static char` | `SLEEP`
`static char` | `STOP`
`static char` | `ZOMBIE`

Constructor Summary
`ProcState()`

Method Summary
`void` | `gather(Sigar sigar, long pid)`
`java.lang.String` | `getName()` Get the Name of the process program.
`int` | `getNice()` Get the Nice value of process.
`long` | `getPpid()` Get the Process parent process id.
`int` | `getPriority()` Get the Kernel scheduling priority of process.
`int` | `getProcessor()` Get the Processor number last run on.
`char` | `getState()` Get the Process state (Running, Zombie, etc.).
`long` | `getThreads()` Get the Number of active threads.
`int` | `getTty()` Get the Device number of rocess controling terminal.
`java.util.Map` | `toMap()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### SLEEP

    public static final char SLEEP

See Also:
  Constant Field Values

### RUN

    public static final char RUN

See Also:
  Constant Field Values

### STOP

    public static final char STOP

See Also:
  Constant Field Values

### ZOMBIE

    public static final char ZOMBIE

See Also:
  Constant Field Values

### IDLE

    public static final char IDLE

See Also:
  Constant Field Values

Constructor Detail

### ProcState

    public ProcState()

Method Detail

### gather

    public void gather(Sigar sigar,
                       long pid)
                throws SigarException

  Throws:
    `SigarException`

### getState

    public char getState()

  Get the Process state (Running, Zombie, etc.).

  Supported Platforms: All.

  System equivalent commands:

  - AIX: `top, ps`
  - Darwin: `top, ps`
  - FreeBSD: `top, ps`
  - HPUX: `top, ps`
  - Linux: `top, ps`
  - Solaris: `top, ps`
  - Win32: `taskman`

  Returns:
    Process state (Running, Zombie, etc.)

### getName

    public java.lang.String getName()

  Get the Name of the process program.

  Supported Platforms: All.

  System equivalent commands:

  - AIX: `top, ps`
  - Darwin: `top, ps`
  - FreeBSD: `top, ps`
  - HPUX: `top, ps`
  - Linux: `top, ps`
  - Solaris: `top, ps`
  - Win32: `taskman`

  Returns:
    Name of the process program

### getPpid

    public long getPpid()

  Get the Process parent process id.

  Supported Platforms: All.

  System equivalent commands:

  - AIX: `top, ps`
  - Darwin: `top, ps`
  - FreeBSD: `top, ps`
  - HPUX: `top, ps`
  - Linux: `top, ps`
  - Solaris: `top, ps`
  - Win32: `taskman`

  Returns:
    Process parent process id

### getTty

    public int getTty()

  Get the Device number of rocess controling terminal.

  Supported Platforms: AIX, HPUX, Linux, Solaris.

  System equivalent commands:

  - AIX: `top, ps`
  - Darwin: `top, ps`
  - FreeBSD: `top, ps`
  - HPUX: `top, ps`
  - Linux: `top, ps`
  - Solaris: `top, ps`
  - Win32: `taskman`

  Returns:
    Device number of rocess controling terminal

### getNice

    public int getNice()

  Get the Nice value of process.

  Supported Platforms: AIX, Darwin, FreeBSD, HPUX, Linux, Solaris.

  System equivalent commands:

  - AIX: `top, ps`
  - Darwin: `top, ps`
  - FreeBSD: `top, ps`
  - HPUX: `top, ps`
  - Linux: `top, ps`
  - Solaris: `top, ps`
  - Win32: `taskman`

  Returns:
    Nice value of process

### getPriority

    public int getPriority()

  Get the Kernel scheduling priority of process.

  Supported Platforms: Darwin, FreeBSD, HPUX, Linux, Solaris, Win32.

  System equivalent commands:

  - AIX: `top, ps`
  - Darwin: `top, ps`
  - FreeBSD: `top, ps`
  - HPUX: `top, ps`
  - Linux: `top, ps`
  - Solaris: `top, ps`
  - Win32: `taskman`

  Returns:
    Kernel scheduling priority of process

### getThreads

    public long getThreads()

  Get the Number of active threads.

  Supported Platforms: AIX, Darwin, HPUX, Linux, Solaris, Win32.

  System equivalent commands:

  - AIX: `top, ps`
  - Darwin: `top, ps`
  - FreeBSD: `top, ps`
  - HPUX: `top, ps`
  - Linux: `top, ps`
  - Solaris: `top, ps`
  - Win32: `taskman`

  Returns:
    Number of active threads

### getProcessor

    public int getProcessor()

  Get the Processor number last run on.

  Supported Platforms: AIX, HPUX, Linux, Solaris.

  System equivalent commands:

  - AIX: `top, ps`
  - Darwin: `top, ps`
  - FreeBSD: `top, ps`
  - HPUX: `top, ps`
  - Linux: `top, ps`
  - Solaris: `top, ps`
  - Win32: `taskman`

  Returns:
    Processor number last run on

### toMap

    public java.util.Map toMap()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 2004-2009 Hyperic. All Rights Reserved.